Powered by Invision Power Board


Seiten: (3) 1 2 [3]  ( Zum ersten neuen Beitrag
 
Reply to this topicStart new topicStart Poll

> Aktualisierte Gen2VDR V51 by 3PO, (Stand: 28.03.2015)
Lippton
Geschrieben am: Sonntag, 12.April 2015, 11:53 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 108
Mitgliedsnummer.: 12722
Mitglied seit: 2010-03-16



Brachte leider keinen Erfolg.

Was mich sehr nerös macht ist diese Ausgabe:

CODE
VDR ~ # rst alsasound
* WARNING: you are stopping a boot service
* Storing ALSA Mixer Levels ...
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:1697:(snd_config_load1) _toplevel_:54:0:Unexpected char
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3417:(config_file_open) /etc/asound.conf may be old or corrupted: consider to remove or fix it
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3339:(snd_config_hooks_call) function snd_config_hook_load returned error: Invalid argument
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3788:(snd_config_update_r) hooks failed, removing configuration
alsactl: get_controls:567: snd_ctl_open error: Invalid argument
* Error saving levels.                                                                          [ !! ]
* Restoring Mixer Levels ...
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:1697:(snd_config_load1) _toplevel_:54:0:Unexpected char
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3417:(config_file_open) /etc/asound.conf may be old or corrupted: consider to remove or fix it
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3339:(snd_config_hooks_call) function snd_config_hook_load returned error: Invalid argument
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3788:(snd_config_update_r) hooks failed, removing configuration
alsactl: set_controls:1482: snd_ctl_open error: Invalid argument
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:1697:(snd_config_load1) _toplevel_:54:0:Unexpected char
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3417:(config_file_open) /etc/asound.conf may be old or corrupted: consider to remove or fix it
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3339:(snd_config_hooks_call) function snd_config_hook_load returned error: Invalid argument
ALSA lib /tmp/portage/media-libs/alsa-lib-1.0.28/work/alsa-lib-1.0.28/src/conf.c:3788:(snd_config_update_r) hooks failed, removing configuration
alsactl: set_controls:1482: snd_ctl_open error: Invalid argument                                 [ ok ]
VDR ~ #


Hier habe ich Deine asound.conf verwendet, mit meiner gesicherten asound.conf gibts keine Probleme.
Ich glaube ich sollte sie wohl nicht als Ersatz für meine verwenden sondern meine einfach nur mit Deinen Werten abgleichen oder?

Gruß
Lippton
Email Poster
Top
R2D2
Geschrieben am: Sonntag, 12.April 2015, 11:58 Uhr
Quote Post


Prinz
****

Gruppe: Moderators
Beiträge: 5979
Mitgliedsnummer.: 1131
Mitglied seit: 2005-10-30



Du hast aber schon einen Unix Editor verwendet??

Mach mal zu Sicherheit:

CODE
dos2unix /etc/asound.conf
Email PosterUsers WebsiteICQ
Top
Lippton
Geschrieben am: Sonntag, 12.April 2015, 13:37 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 108
Mitgliedsnummer.: 12722
Mitglied seit: 2010-03-16



Ja hatte das mit Nano gemacht und dann per C+P eingefügt.
do2unix bringt das gleiche Ergebnis.

Kann mann die asound.conf nicht irgend wie autom. erstellen lassen?
Email Poster
Top
R2D2
Geschrieben am: Sonntag, 12.April 2015, 15:09 Uhr
Quote Post


Prinz
****

Gruppe: Moderators
Beiträge: 5979
Mitgliedsnummer.: 1131
Mitglied seit: 2005-10-30



Du könntest es mal so versuchen,

/etc/vdr.d/plugins/softhddevice
CODE
...
PLUGIN_PARAMETERS="-d ${DISPLAY:-:0} -v $VIDMOD  -a pcm.stereo -p hw:1,7"
...


/etc/asound.conf
CODE
pcm.stereo {
   type hw
   card NVidia
   device 7
   channels 2
}


allerdings geht damit nur(!) HDMI.
Email PosterUsers WebsiteICQ
Top
Lippton
Geschrieben am: Mittwoch, 15.April 2015, 18:39 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 108
Mitgliedsnummer.: 12722
Mitglied seit: 2010-03-16



Das Funktionierte leider nicht.
Allerdings habe ich auch nicht wirklich nach den Ursachen geforscht da ich zur Zeit leider wenig Zeit habe.

Ich habe erst einmal aufgegebeb und die alte Config wieder hergestellt damit "lebe" erst einmal...
Auf PCM anstatt DolbyDigital läuft es etwas runder.

Danke trotzdem für Deine Mühe!

Gruß
Lippton
Email Poster
Top
winne
Geschrieben am: Mittwoch, 20.Mai 2015, 12:59 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 114
Mitgliedsnummer.: 10518
Mitglied seit: 2009-05-01



Hallo R2D2,

danke für die Zugangsdaten.
Lieder habe ich Probleme damit, so wie es aussieht, wird mein Nvidia-Grafikkarte nicht richtig erkannt, PC bleib hier stehe.
Waiting for uevents to be processed ....

Komme auch nicht mehr auf eine Konsole, kann nur noch PC ausschalten, da weiß ich nicht mehr weiter.
Winne
Email Poster
Top
Bruno0815
Geschrieben am: Mittwoch, 20.Mai 2015, 17:00 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 464
Mitgliedsnummer.: 3300
Mitglied seit: 2007-12-19



Moin


Mit STRG + C kannst du das System booten lassen.

Danach hilft evtl ein downgrade des nvidia Treibers. ( So jedenfalls bei mir)

z.B.
QUOTE
emerge -av =x11-drivers/nvidia-drivers-304.123
Email Poster
Top
winne
Geschrieben am: Freitag, 22.Mai 2015, 19:36 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 114
Mitgliedsnummer.: 10518
Mitglied seit: 2009-05-01



Hallo Bruno,

danke für deine Hilfe, hat aber leider nicht weiter geholfen.
STRG + C schon, aber
emerge -av =x11-drivers/nvidia-drivers-304.123
nicht, habe dann noch
emerge -av =x11-drivers/nvidia-drivers-304.125
ausprobiert, weil der bei HelAu VDR v51 auch drin ist, habe da auch das Problem mit Kodi ( schwarzes Bild ).

Nun lade ich noch mal, die ISO von R2D2 runder, vielleicht ist sie nicht OK die richtige md5sum ist leider nicht dabei, ist nur die von der g2v4_3po.
Das erscheint wen ich nvidia-smi eingebe

NVIDIA-SMI has failed because it couldn't communicate with the NVIDIA driver. Make sure that the latest NVIDIA driver is installed and running.

und das wen ich stp gen2vdr eingebe
[ 163.475807] NVRM: No NVIDIA graphics adapter found!
[ 163.475945] NVRM: NVIDIA init module failed!
[ 163.551142] NVRM: The NVIDIA ION GPU installed in this system is
NVRM: supported through the NVIDIA 340.xx Legacy drivers. Please
NVRM: visit http://www.nvidia.com/object/unix.html for more
NVRM: information. The 346.47 NVIDIA driver will ignore
NVRM: this GPU. Continuing probe...

Habe jetzt den noch ausprobiert
emerge -av =x11-drivers/nvidia-drivers-340.76
nach nvidia-smi kommt das, geht aber auch nicht

Fri May 22 20:22:49 2015
+------------------------------------------------------+
| NVIDIA-SMI 340.76 Driver Version: 340.76 |
|-------------------------------+----------------------+----------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 ION Off | 0000:03:00.0 N/A | N/A |
| N/A 37C P0 N/A / N/A | 2MiB / 253MiB | N/A Default |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Compute processes: GPU Memory |
| GPU PID Process name Usage |
|=============================================================================|
| 0 Not Supported |
+-----------------------------------------------------------------------------+
Hänge noch die g2v_log_install.tar.xz mit ran vielleicht mache ich auch ein Fehler.

Winne

angehängte Datei ( Anzahl der Downloads: 117 )
angehängte Datei  g2v_log_install.tar.xz
Email Poster
Top
R2D2
Geschrieben am: Samstag, 23.Mai 2015, 12:13 Uhr
Quote Post


Prinz
****

Gruppe: Moderators
Beiträge: 5979
Mitgliedsnummer.: 1131
Mitglied seit: 2005-10-30



Ich weiss zwar nicht, was Du da so treibst, aber aber laut dem Log von X, wird "346.47" geladen:

CODE
[   314.437] (II) NVIDIA dlloader X Driver  346.47  Thu Feb 19 17:47:18 PST 2015


Das passt natürlich nicht zu dem IONITX Zeugs... :rolleyes:


Ich würde es halt mal mit "emerge -av =x11-drivers/nvidia-drivers-304.125" versuchen, aber vermutlich muss dann das ganze X Zeugs auch neu gebaut werden....
Email PosterUsers WebsiteICQ
Top
HelAu
Geschrieben am: Samstag, 23.Mai 2015, 13:01 Uhr
Quote Post


Scheffe
****

Gruppe: Admin
Beiträge: 11016
Mitgliedsnummer.: 2
Mitglied seit: 2003-04-25



Die echte Gen2VDR unterstuetzt von Haus aus ION und die neueren Karten :D
Email PosterUsers WebsiteICQAOLYahoo
Top
R2D2
Geschrieben am: Samstag, 23.Mai 2015, 13:07 Uhr
Quote Post


Prinz
****

Gruppe: Moderators
Beiträge: 5979
Mitgliedsnummer.: 1131
Mitglied seit: 2005-10-30



Na dann würde ich doch Denjenigen empfehlen, die unbedingt das IONITX Zeugs verwenden wollen, einfach "das Echte" zu nehmen. ^^
Email PosterUsers WebsiteICQ
Top
winne
Geschrieben am: Samstag, 23.Mai 2015, 13:21 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 114
Mitgliedsnummer.: 10518
Mitglied seit: 2009-05-01



Hallo HelAu und R2D2,

ich möchte mein VDR erneuern, weil es unter XBMC leider einige Sachen, Fehler haben, jetzt habe ich schon ca. 14 Tage bei euch gelesen und festgestellt, das es bei XBMC einige Änderungen gab, das es jetzt auch Kodi heißt.
Könnt ihr mir sagen, welche Version ich installieren kann, die schon richtig geht und die auch für die Zukunft anzuraten ist?
Ihr wisst ja noch das ich auch nicht so ein Profi wie ihr bin.
Für eine Antwort wäre ich dankbar.
Winne

Nachtrag:
R2D2
Wie Du oben sehen kannst hatte ich den emerge -av =x11-drivers/nvidia-drivers-304.125 schon
versucht.
Das war mein vorgehen danach habe ich den die g2v_log_install.tar.xz aus dem VDR kopiert, das war alles so wie es unten steht.

Ich alles neu Installiert und
STRG + C
emerge --sync
eix-update
gemacht, dann
emerge -av =x11-drivers/nvidia-drivers-304.123
danach noch den versucht,
emerge -av =x11-drivers/nvidia-drivers-304.125
hat aber alles nicht geholfen, warum der 346.47 darin ist weiß ich nicht, mehr habe ich nicht gemacht.

Winne
Email Poster
Top
HelAu
Geschrieben am: Samstag, 23.Mai 2015, 17:06 Uhr
Quote Post


Scheffe
****

Gruppe: Admin
Beiträge: 11016
Mitgliedsnummer.: 2
Mitglied seit: 2003-04-25



QUOTE (R2D2 @ Samstag, 23.Mai 2015, 14:07 Uhr)
Na dann würde ich doch Denjenigen empfehlen, die unbedingt das IONITX Zeugs verwenden wollen, einfach "das Echte" zu nehmen. ^^

Es waere besser wenn Du Deine Versionen nicht Gen2VDR nennst, das fuehrt sonst nur zu Verwirrungen ...
Oder wenn schon dann genau dokumentierst was Du nicht von der letzten Version übernommen hast (zumindest das mit den unterschiedlichen NVidia Treibern fehlt und ist so nicht dokumentiert )
Email PosterUsers WebsiteICQAOLYahoo
Top
winne
Geschrieben am: Samstag, 23.Mai 2015, 17:46 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 114
Mitgliedsnummer.: 10518
Mitglied seit: 2009-05-01



Also ich habe jetzt die ISO V5.1_150125 von Helau genommen, habe schon Bild u. Ton beim VDR und Kodi läuft auch schon mit Ton, dank der Anweisung hier Forum.

Winne
Email Poster
Top
R2D2
Geschrieben am: Samstag, 23.Mai 2015, 17:53 Uhr
Quote Post


Prinz
****

Gruppe: Moderators
Beiträge: 5979
Mitgliedsnummer.: 1131
Mitglied seit: 2005-10-30



Na siehst Du, ist doch alles in Butter. Alte Hardware, braucht halt auch alte Software. :)
Email PosterUsers WebsiteICQ
Top
HelAu
Geschrieben am: Samstag, 23.Mai 2015, 18:38 Uhr
Quote Post


Scheffe
****

Gruppe: Admin
Beiträge: 11016
Mitgliedsnummer.: 2
Mitglied seit: 2003-04-25



QUOTE (R2D2 @ Samstag, 23.Mai 2015, 18:53 Uhr)
Na siehst Du, ist doch alles in Butter. Alte Hardware, braucht halt auch alte Software. :)

Das wuerde auch sicher genauso gut mit meiner neuesten Version klappen, entscheidend ist, ob sich der Ersteller der Distrie darum kümmert :D
Email PosterUsers WebsiteICQAOLYahoo
Top
winne
Geschrieben am: Samstag, 23.Mai 2015, 20:10 Uhr
Quote Post


Professional
****

Gruppe: G2V3+User
Beiträge: 114
Mitgliedsnummer.: 10518
Mitglied seit: 2009-05-01



Hallo R2D2,

warum alte Software, das ist doch die Testing Gen2VDR v51g2v51_150125.iso.
Also bin ich der Meinung, das es die neuste ist, die hier zu haben ist, oder bin ich da falsch die ich auch als leihe hin bekomme ?
Das einzige was mir bei Kodi, angezeigt wurde, ist bei ersten Start das es schon eine Kodi 14.2 stabile da ist.

Winne
Email Poster
Top
Thema wird von 1 Benutzer(n) gelesen (1 Gäste und 0 Anonyme Benutzer)
0 Mitglieder:

Topic OptionsSeiten: (3) 1 2 [3]  Reply to this topicStart new topicStart Poll